Range-v3 Range algorithms, views, and actions for the Standard Library |

Friends | List of all members
ranges::pipeable_base Struct Reference
Functional

## Friends
template<typename Arg , typename Pipe >
constexpr friend auto | operator| (Arg &&arg, Pipe pipe)
template<typename Pipe0 , typename Pipe1 >
constexpr friend auto | operator| (Pipe0 pipe0, Pipe1 pipe1)
template<typename Arg , typename Pipe >
auto | operator|= (Arg &arg, Pipe pipe) -> Arg &

## Methods

## ◆ operator| [1/2]

template<typename Arg , typename Pipe >

constexpr friend auto operator| | ( | Arg && | arg,
|  | Pipe | pipe
| ) |  |
| friend

Precondition
  requires `(!is_pipeable_v<Arg>) && is_pipeable_v<Pipe> && invocable<Pipe, Arg>` // clang-format off

## ◆ operator| [2/2]

template<typename Pipe0 , typename Pipe1 >

constexpr friend auto operator| | ( | Pipe0 | pipe0,
|  | Pipe1 | pipe1
| ) |  |
| friend

Precondition
  requires `is_pipeable_v<Pipe0> && is_pipeable_v<Pipe1>` // clang-format off